<template>
  <div class="p-0">
    <div class="">
      <img
        :src="eventDetail.image_url"
        class="img-fluid m-auto mt-3"
        alt="Sample image"
      />
      <a href="#">
        <div class="mask rgba-white-slight"></div>
      </a>
    </div>

    <div class="card-body mb-3">
      <h3 class="card-title h3 my-4 text-center">
        <strong>{{ eventDetail.name }}</strong>
        <h4 class="card-title h3 my-4 text-center text-danger" v-if="isEventEnd">
          <strong>Đã kết thúc</strong>
        </h4>
      </h3>
      <h5 class="card-title h6 my-4 text-center">
        <b>{{ eventDetail.introduction }}</b>
      </h5>
      <p class="card-text py-2" v-html="eventDetail.content"></p>
    </div>
  </div>
</template>

<script>
import { mapState, mapActions } from "vuex";

export default {
  computed: {
    ...mapState({
      eventDetail: state => state.events.eventDetail,
    }),
    isEventEnd() {
      return Date(this.eventDetail.event_end_date) < Date()
    }
  },
  methods: {
    ...mapActions(['getEventDetail']),
  },
  created() {
    const eventID = location.pathname.split('/vue-tin-tuc-su-kien/')[1]
    this.getEventDetail(eventID)
  }
};
</script>
